### Function

# Gtk ScaleFormatValueFunc

#### Declaration

    char*
    ScaleFormatValueFunc (
      GtkScale* scale,
      double value,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`scale` | `GtkScale`
| The `GtkScale`.
| The data is owned by the caller of the function.
`value` | `double`
| The numeric value to format.
`user_data` | `gpointer`
| User data.

#### Return value

Returns: | `char*`
| A newly allocated string describing a textual representation of the given numerical value.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.